/feathery | Type: Application | PCID required: Yes
Tools
feathery_copy_form
Duplicate form Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
copy_form_id | string | Yes | — | ID of the form to duplicate |
form_name | string | Yes | — | Name for the duplicated form |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"copy_form_id": {
"type": "string",
"description": "ID of the form to duplicate"
},
"form_name": {
"type": "string",
"description": "Name for the duplicated form"
}
},
"required": [
"PCID",
"copy_form_id",
"form_name"
]
}
feathery_create_form
Create form from template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enabled | boolean | No | — | Whether the form is enabled |
form_name | string | Yes | — | Name of the new form |
template_form_id | string | Yes | — | ID of the template form to copy from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enabled": {
"type": "boolean",
"description": "Whether the form is enabled"
},
"form_name": {
"type": "string",
"description": "Name of the new form"
},
"template_form_id": {
"type": "string",
"description": "ID of the template form to copy from"
}
},
"required": [
"PCID",
"form_name",
"template_form_id"
]
}
feathery_create_form_submission
Create or update submission Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
complete | boolean | No | — | Mark submission as complete |
documents | object[] | No | — | Document attachments |
fields | object | No | — | Field key-value pairs for the submission |
forms | string[] | No | — | Form IDs to associate |
user_id | string | No | — | User ID to associate with the submission |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"complete": {
"type": "boolean",
"description": "Mark submission as complete"
},
"documents": {
"type": "array",
"items": {
"type": "object"
},
"description": "Document attachments"
},
"fields": {
"type": "object",
"description": "Field key-value pairs for the submission"
},
"forms": {
"type": "array",
"items": {
"type": "string"
},
"description": "Form IDs to associate"
},
"user_id": {
"type": "string",
"description": "User ID to associate with the submission"
}
},
"required": [
"PCID"
]
}
feathery_create_hidden_field
Create hidden field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Field ID (unique identifier) |
server_side | boolean | No | — | Whether the field is server-side only |
type | string | Yes | — | Field value type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Field ID (unique identifier)"
},
"server_side": {
"type": "boolean",
"description": "Whether the field is server-side only"
},
"type": {
"type": "string",
"description": "Field value type",
"enum": [
"json_value",
"number_value",
"text_value"
]
}
},
"required": [
"PCID",
"id",
"type"
]
}
feathery_create_user
Create or fetch user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | User ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "User ID"
}
},
"required": [
"PCID",
"id"
]
}
feathery_create_workspace
Create workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | No | — | Workspace name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"name": {
"type": "string",
"description": "Workspace name"
}
},
"required": [
"PCID"
]
}
feathery_delete_document_envelope
Delete document envelope Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
envelope_id | string | Yes | — | ID of the envelope to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"envelope_id": {
"type": "string",
"description": "ID of the envelope to delete"
}
},
"required": [
"PCID",
"envelope_id"
]
}
feathery_delete_form
Delete form Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
form_id | string | Yes | — | Form ID |
confirm_delete | boolean | Yes | — | Must be true to confirm deletion |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"form_id": {
"type": "string",
"description": "Form ID"
},
"confirm_delete": {
"type": "boolean",
"description": "Must be true to confirm deletion"
}
},
"required": [
"PCID",
"form_id",
"confirm_delete"
]
}
feathery_delete_user
Delete user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
user_id | string | Yes | — | User ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"user_id": {
"type": "string",
"description": "User ID to delete"
}
},
"required": [
"PCID",
"user_id"
]
}
feathery_delete_workspace
Delete workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | string | Yes | — | Workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "string",
"description": "Workspace ID"
}
},
"required": [
"PCID",
"workspace_id"
]
}
feathery_export_submission_pdf
Export submission as PDF Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
completed | boolean | No | — | Filter by completion status |
created_after | string | No | — | Filter by creation time (after) |
created_before | string | No | — | Filter by creation time (before) |
end_time | string | No | — | Export submissions before this time |
form_id | string | Yes | — | Form ID to export submissions from |
start_time | string | No | — | Export submissions after this time |
user_id | string | No | — | Specific user’s submission to export |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"completed": {
"type": "boolean",
"description": "Filter by completion status"
},
"created_after": {
"type": "string",
"description": "Filter by creation time (after)"
},
"created_before": {
"type": "string",
"description": "Filter by creation time (before)"
},
"end_time": {
"type": "string",
"description": "Export submissions before this time"
},
"form_id": {
"type": "string",
"description": "Form ID to export submissions from"
},
"start_time": {
"type": "string",
"description": "Export submissions after this time"
},
"user_id": {
"type": "string",
"description": "Specific user's submission to export"
}
},
"required": [
"PCID",
"form_id"
]
}
feathery_fill_document_template
Fill document template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
document | string | Yes | — | Document template ID |
field_values | object | No | — | Key-value pairs of fields to fill |
signer_email | string | No | — | Email of the document signer |
user_id | string | No | — | User ID to associate with the filled document |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"document": {
"type": "string",
"description": "Document template ID"
},
"field_values": {
"type": "object",
"description": "Key-value pairs of fields to fill"
},
"signer_email": {
"type": "string",
"description": "Email of the document signer"
},
"user_id": {
"type": "string",
"description": "User ID to associate with the filled document"
}
},
"required": [
"PCID",
"document"
]
}
feathery_generate_workspace_login_token
Generate workspace login token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | string | Yes | — | Workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "string",
"description": "Workspace ID"
}
},
"required": [
"PCID",
"workspace_id"
]
}
feathery_get_account
Get account informationShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
feathery_get_form
Get form schema Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
form_id | string | Yes | — | Form ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"form_id": {
"type": "string",
"description": "Form ID"
}
},
"required": [
"PCID",
"form_id"
]
}
feathery_get_user_session
Get user form session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
user_id | string | Yes | — | User ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"user_id": {
"type": "string",
"description": "User ID"
}
},
"required": [
"PCID",
"user_id"
]
}
feathery_get_workspace
Get workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | string | Yes | — | Workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "string",
"description": "Workspace ID"
}
},
"required": [
"PCID",
"workspace_id"
]
}
feathery_get_workspace_form_report
Get workspace form report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | string | Yes | — | Workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "string",
"description": "Workspace ID"
}
},
"required": [
"PCID",
"workspace_id"
]
}
feathery_get_workspace_submission_report
Get workspace submission report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | string | Yes | — | Workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "string",
"description": "Workspace ID"
}
},
"required": [
"PCID",
"workspace_id"
]
}
feathery_invite_account_members
Invite team members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "Email address to invite"
},
"role": {
"type": "string",
"description": "Role for the invited member"
},
"permission_forms": {
"type": "boolean",
"description": "Permission Forms"
},
"permission_results": {
"type": "boolean",
"description": "Permission Results"
},
"permission_integrations": {
"type": "boolean",
"description": "Permission Integrations"
},
"permission_theme": {
"type": "boolean",
"description": "Permission Theme"
},
"permission_collaborators": {
"type": "boolean",
"description": "Permission Collaborators"
}
},
"required": [
"email"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
feathery_list_api_connector_logs
List API connector logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
form_id | string | Yes | — | Form ID |
start_time | string | No | — | Filter logs after this time |
end_time | string | No | — | Filter logs before this time |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"form_id": {
"type": "string",
"description": "Form ID"
},
"start_time": {
"type": "string",
"description": "Filter logs after this time"
},
"end_time": {
"type": "string",
"description": "Filter logs before this time"
}
},
"required": [
"PCID",
"form_id"
]
}
feathery_list_document_envelopes
List document envelopes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
type | string | Yes | — | Filter type: ‘document’ or ‘user’ |
id | string | Yes | — | Document ID or user ID to filter by |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"type": {
"type": "string",
"description": "Filter type: 'document' or 'user'",
"enum": [
"document",
"user"
]
},
"id": {
"type": "string",
"description": "Document ID or user ID to filter by"
}
},
"required": [
"PCID",
"type",
"id"
]
}
feathery_list_document_templates
List document templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | No | — | Filter templates by name |
tags | string | No | — | Filter by tags. Use ;; for OR logic, pass multiple tags params for AND logic. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"name": {
"type": "string",
"description": "Filter templates by name"
},
"tags": {
"type": "string",
"description": "Filter by tags. Use ;; for OR logic, pass multiple tags params for AND logic."
}
},
"required": [
"PCID"
]
}
feathery_list_email_issues
List email bounces and complaints Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
event_type | string | No | — | Filter by event type |
start_time | string | No | — | Filter logs after this time |
end_time | string | No | — | Filter logs before this time |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"event_type": {
"type": "string",
"description": "Filter by event type",
"enum": [
"Bounce",
"Complaint"
]
},
"start_time": {
"type": "string",
"description": "Filter logs after this time"
},
"end_time": {
"type": "string",
"description": "Filter logs before this time"
}
},
"required": [
"PCID"
]
}
feathery_list_extraction_email_logs
List extraction email logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
extraction_id | string | Yes | — | Extraction configuration ID |
start_time | string | No | — | Filter logs after this time |
end_time | string | No | — | Filter logs before this time |
user_id | string | No | — | Filter by user ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"extraction_id": {
"type": "string",
"description": "Extraction configuration ID"
},
"start_time": {
"type": "string",
"description": "Filter logs after this time"
},
"end_time": {
"type": "string",
"description": "Filter logs before this time"
},
"user_id": {
"type": "string",
"description": "Filter by user ID"
}
},
"required": [
"PCID",
"extraction_id"
]
}
feathery_list_extraction_runs
List extraction runs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
extraction_id | string | Yes | — | ID of the extraction configuration |
start_time | string | No | — | Filter runs after this time |
end_time | string | No | — | Filter runs before this time |
user_id | string | No | — | Filter runs by user ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"extraction_id": {
"type": "string",
"description": "ID of the extraction configuration"
},
"start_time": {
"type": "string",
"description": "Filter runs after this time"
},
"end_time": {
"type": "string",
"description": "Filter runs before this time"
},
"user_id": {
"type": "string",
"description": "Filter runs by user ID"
}
},
"required": [
"PCID",
"extraction_id"
]
}
feathery_list_form_email_logs
List form email logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
form_id | string | Yes | — | Form ID |
start_time | string | No | — | Filter logs after this time |
end_time | string | No | — | Filter logs before this time |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"form_id": {
"type": "string",
"description": "Form ID"
},
"start_time": {
"type": "string",
"description": "Filter logs after this time"
},
"end_time": {
"type": "string",
"description": "Filter logs before this time"
}
},
"required": [
"PCID",
"form_id"
]
}
feathery_list_form_submissions
List form submissions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
form_id | string | Yes | — | Form ID to retrieve submissions for |
start_time | string | No | — | Filter submissions after this time |
end_time | string | No | — | Filter submissions before this time |
created_after | string | No | — | Filter by creation time (after) |
created_before | string | No | — | Filter by creation time (before) |
completed | boolean | No | — | Filter by completion status |
field_search | string | No | — | Search within field values |
fuzzy_search | boolean | No | — | Enable fuzzy search |
fields | string | No | — | Comma-separated list of field IDs to include |
no_field_values | boolean | No | — | Exclude field values from results |
sort | string | No | — | Sort field |
page_size | integer | No | — | Number of results per page |
count | boolean | No | — | Return only count of submissions |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"form_id": {
"type": "string",
"description": "Form ID to retrieve submissions for"
},
"start_time": {
"type": "string",
"description": "Filter submissions after this time"
},
"end_time": {
"type": "string",
"description": "Filter submissions before this time"
},
"created_after": {
"type": "string",
"description": "Filter by creation time (after)"
},
"created_before": {
"type": "string",
"description": "Filter by creation time (before)"
},
"completed": {
"type": "boolean",
"description": "Filter by completion status"
},
"field_search": {
"type": "string",
"description": "Search within field values"
},
"fuzzy_search": {
"type": "boolean",
"description": "Enable fuzzy search"
},
"fields": {
"type": "string",
"description": "Comma-separated list of field IDs to include"
},
"no_field_values": {
"type": "boolean",
"description": "Exclude field values from results"
},
"sort": {
"type": "string",
"description": "Sort field"
},
"page_size": {
"type": "integer",
"description": "Number of results per page"
},
"count": {
"type": "boolean",
"description": "Return only count of submissions"
}
},
"required": [
"PCID",
"form_id"
]
}
feathery_list_forms
List forms Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tags | string | No | — | Filter by tags (comma-separated) |
active | boolean | No | — | Filter by active status |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"tags": {
"type": "string",
"description": "Filter by tags (comma-separated)"
},
"active": {
"type": "boolean",
"description": "Filter by active status"
}
},
"required": [
"PCID"
]
}
feathery_list_hidden_fields
List hidden fieldsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
feathery_list_quik_logs
List Quik integration logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
form_id | string | Yes | — | Form ID |
start_time | string | No | — | Filter logs after this time |
end_time | string | No | — | Filter logs before this time |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"form_id": {
"type": "string",
"description": "Form ID"
},
"start_time": {
"type": "string",
"description": "Filter logs after this time"
},
"end_time": {
"type": "string",
"description": "Filter logs before this time"
}
},
"required": [
"PCID",
"form_id"
]
}
feathery_list_user_fields
List user field data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | No | — | User ID to get field data for |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "User ID to get field data for"
}
},
"required": [
"PCID"
]
}
feathery_list_users
List users Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
created_after | string | No | — | Filter users created after this time |
created_before | string | No | — | Filter users created before this time |
filter_field_id | string | No | — | Field ID to filter users by |
filter_field_value | string | No | — | Value to match for the filter field |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"created_after": {
"type": "string",
"description": "Filter users created after this time"
},
"created_before": {
"type": "string",
"description": "Filter users created before this time"
},
"filter_field_id": {
"type": "string",
"description": "Field ID to filter users by"
},
"filter_field_value": {
"type": "string",
"description": "Value to match for the filter field"
}
},
"required": [
"PCID"
]
}
feathery_list_workspaces
List workspacesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
feathery_populate_workspace_template
Populate workspace with template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | string | Yes | — | Workspace ID |
template_form_id | string | No | — | Template form ID to populate |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "string",
"description": "Workspace ID"
},
"template_form_id": {
"type": "string",
"description": "Template form ID to populate"
}
},
"required": [
"PCID",
"workspace_id"
]
}
feathery_uninvite_account_member
Remove team member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | No | — | ID of the member to remove |
email | string | No | — | Email of the member to remove |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"account_id": {
"type": "string",
"description": "ID of the member to remove"
},
"email": {
"type": "string",
"description": "Email of the member to remove"
}
},
"required": [
"PCID"
]
}
feathery_update_account
Update account member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | No | — | ID of the account member to update |
email | string | No | — | Email of the account member to update |
permission_collaborators | boolean | No | — | Permission to manage collaborators |
permission_forms | boolean | No | — | Permission to access forms |
permission_integrations | boolean | No | — | Permission to access integrations |
permission_results | boolean | No | — | Permission to access results |
permission_theme | boolean | No | — | Permission to access theme settings |
role | string | No | — | New role for the account member |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"account_id": {
"type": "string",
"description": "ID of the account member to update"
},
"email": {
"type": "string",
"description": "Email of the account member to update"
},
"permission_collaborators": {
"type": "boolean",
"description": "Permission to manage collaborators"
},
"permission_forms": {
"type": "boolean",
"description": "Permission to access forms"
},
"permission_integrations": {
"type": "boolean",
"description": "Permission to access integrations"
},
"permission_results": {
"type": "boolean",
"description": "Permission to access results"
},
"permission_theme": {
"type": "boolean",
"description": "Permission to access theme settings"
},
"role": {
"type": "string",
"description": "New role for the account member"
}
},
"required": [
"PCID"
]
}
feathery_update_form
Update form Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
form_id | string | Yes | — | Form ID |
enabled | boolean | No | — | Whether the form is enabled |
form_name | string | No | — | New name for the form |
integrations | object[] | No | — | Form integrations |
translations | object | No | — | Form translations |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"form_id": {
"type": "string",
"description": "Form ID"
},
"enabled": {
"type": "boolean",
"description": "Whether the form is enabled"
},
"form_name": {
"type": "string",
"description": "New name for the form"
},
"integrations": {
"type": "array",
"items": {
"type": "object"
},
"description": "Form integrations"
},
"translations": {
"type": "object",
"description": "Form translations"
}
},
"required": [
"PCID",
"form_id"
]
}
feathery_update_hidden_fields
Update hidden fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Field ID to update"
},
"type": {
"type": "string",
"enum": [
"json_value",
"number_value",
"text_value"
],
"description": "New field value type"
},
"server_side": {
"type": "boolean",
"description": "Whether the field is server-side only"
}
},
"required": [
"id"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
feathery_update_workspace
Update workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_id | string | Yes | — | Workspace ID |
name | string | No | — | New workspace name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_id": {
"type": "string",
"description": "Workspace ID"
},
"name": {
"type": "string",
"description": "New workspace name"
}
},
"required": [
"PCID",
"workspace_id"
]
}

